﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Brains.Framework.Behaviors;

namespace AIDemos.GameClasses.Behaviors
{
    [Brains.Framework.Designer.Behavior("DieBehavior")]
    public class DieBehavior:BehaviorTask
    {
        public DieBehavior()
        {
        }

        public override void Update(Microsoft.Xna.Framework.GameTime gameTime)
        {
            State = BehaviorState.Success;
            Owner.ParentWorld.RemoveAgent(Owner);
            base.Update(gameTime);
        }
        public override void OnSuccess()
        {
            base.OnSuccess();
        }
    }
}
