﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Brains.Framework.Behaviors;

namespace Brains.Framework.Behaviors
{
    public interface ISubBehaviorHolder
    {
        BehaviorList<IBehavior> SubBehaviors { get; set; }
        int CurrentSubBehavior { get; set; }
        void OnSubBehaviorSuccess();
        void OnSubBehaviorFailure();
        
    }
}
