﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Brains.Framework.Behaviors
{
    public interface IBehavior
    {
        Agent Owner { get; }
        BehaviorState State { get; set; }
        
        void SetOwner(Agent owner);
        void Update(GameTime gameTime);
        void OnSuccess();
        void OnFailure();
        void Reset();
    }
    
}
