﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Brains.Framework;
using Brains.Framework.Utility;

namespace Brains.Framework.Grouping
{
    public class Group
    {
        static int ID = 0;
        private static int GetNextID()
        {
            return ID++;
        }
        public int GroupID { get; set; }
        public List<Agent> Agents { get; set; }

        public Group()
        {
            Agents = new List<Agent>();
            GroupID = GetNextID();
        }
        public void AddAgent(Agent boid)
        {
            boid.SetLabel(AIConsts.ISGROUPMEMBER, 1);
            boid.SetLabel(AIConsts.GROUPID, GroupID);
            Agents.Add(boid);
        }
    }
}
