﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Brains.Framework
{
}
namespace Brains.Framework.Behaviors
{
    /// <summary>
    /// The available states of a Behavior
    /// </summary>
    public enum BehaviorState
    {
        Idle,
        Running,
        Failed,
        Success
    }
}
namespace Brains.Framework.PathFinding
{
    public enum HeuristicType
    {
        Euclidean,
        Manhattan,
        Diagonal
    }
    public enum PathFinderState
    {
        Idle,
        Working,
        Finished,
        Failed
    }
}